Bug 148771 - Allow a way to highlight one country / region
Summary: Allow a way to highlight one country / region
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: 1.9 (KDE 4.14)
Assignee: Abhinav Gangwar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-12 15:09 UTC by Thomas Zander
Modified: 2014-11-02 10:29 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander 2007-08-12 15:09:04 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

If you have a book about a country (for example, lonely planet) you typically find a couple of maps to highlight that country on the globe. I'd love to have a way to highlight one country or region on the marble widget.

Some suggestions to do this;

* using any theme you can use the fact that marble already knows the borders and paint the area within those borders colorized.  Showing it slightly redish tends to be a good way.

alternatively;
* show the country in the chosen theme but show everything outside the country borders using the plain-map 'theme'.

* don't show any decorations (city/mountain/etc names) outside the country borders.

Thanks!
Comment 1 Inge Wallin 2007-09-30 16:48:40 UTC
There is currently no support for 'Areas' in marble.  The country borders that you can see are just vectors with no connection to any areas like countries or anything else like it.

We will add support for this in KDE 4.1, most likely.
Comment 2 Inge Wallin 2008-05-24 10:33:06 UTC
Unfortunately this will not happen for 4.1.  It is now scheduled for 4.2 instead.
Comment 3 Médéric Boquien 2009-07-25 20:23:48 UTC
Hi! Has it been implemented Inge?. Thanks.
Comment 4 Abhinav Gangwar 2014-11-02 10:29:14 UTC
Git commit c531145f0174bf61d23b1cb6bd00ccf00f1481d7 by Abhinav Gangwar.
Committed on 02/11/2014 at 10:18.
Pushed by agangwar into branch 'master'.

Added highlight on click feature
REVIEW: 118717

M  +1    -1    data/maps/earth/political/political.dgml
M  +106  -0    src/lib/marble/GeoGraphicsScene.cpp
M  +26   -0    src/lib/marble/GeoGraphicsScene.h
M  +15   -0    src/lib/marble/MarbleInputHandler.cpp
M  +7    -0    src/lib/marble/MarbleInputHandler.h
M  +16   -0    src/lib/marble/MarbleMap.cpp
M  +2    -0    src/lib/marble/MarbleMap.h
M  +89   -25   src/lib/marble/MarbleModel.cpp
M  +2    -1    src/lib/marble/MarbleModel.h
M  +18   -0    src/lib/marble/MarbleWidget.cpp
M  +12   -5    src/lib/marble/MarbleWidget.h
M  +1    -1    src/lib/marble/geodata/graphicsitem/GeoPolygonGraphicsItem.cpp
M  +2    -0    src/lib/marble/geodata/handlers/dgml/DgmlAttributeDictionary.cpp
M  +2    -0    src/lib/marble/geodata/handlers/dgml/DgmlAttributeDictionary.h
M  +6    -3    src/lib/marble/geodata/handlers/dgml/DgmlMapTagHandler.cpp
M  +25   -0    src/lib/marble/geodata/scene/GeoSceneMap.cpp
M  +5    -0    src/lib/marble/geodata/scene/GeoSceneMap.h
M  +30   -0    src/lib/marble/graphicsview/GeoGraphicsItem.cpp
M  +12   -0    src/lib/marble/graphicsview/GeoGraphicsItem.h
M  +8    -2    src/lib/marble/graphicsview/GeoGraphicsItem_p.h
M  +106  -0    src/lib/marble/layers/GeometryLayer.cpp
M  +6    -1    src/lib/marble/layers/GeometryLayer.h

http://commits.kde.org/marble/c531145f0174bf61d23b1cb6bd00ccf00f1481d7